### Method

# EDataServer NetworkMonitor list_gio_names

since: 3.22

#### Declaration [src]

    GSList*
    e_network_monitor_list_gio_names (
      ENetworkMonitor* network_monitor
    )

#### Description [src]

Get a list of available GIO names for the `GNetworkMonitor` implementations. The strings can be used in e_network_monitor_set_gio_name().

Available since: 3.22

#### Return value

Type: A list of `utf8`

A newly allocated `GSList`, with newly allocated strings, the GIO names. The `GSList` should be freed with g_slist_free_full (gio_names, g_free); when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.